std::binary_function< _Arg1, _Arg2, _Result >(3cxx)

NAME
std::binary_function< _Arg1, _Arg2, _Result >

SYNOPSIS

#include <stl_function.h>

Inherited by , , , , std::divides< void >, std::equal_to< Key >, std::equal_to< void >, std::greater< void >, std::greater_equal< void >, std::less< void >, std::less_equal< void >, std::logical_and< void >, std::logical_or< void >, std::minus< void >, std::modulus< void >, std::multiplies< void >, and std::not_equal_to< void >.

  Public Types

typedef _Arg1 first_argument_type
first_argument_type is the type of the first argument
typedef _Result result_type
result_type is the return type
typedef _Arg2 second_argument_type
second_argument_type is the type of the second argument

Detailed Description

  template<typename _Arg1, typename _Arg2, typename _Result>
struct std::binary_function< _Arg1, _Arg2, _Result >"Helper for defining adaptable binary function objects.

Deprecated
    Deprecated in C++11, no longer in the standard since C++17.

Member Typedef Documentation

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type

first_argument_type is the type of the first argument

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type

result_type is the return type

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.